//run.js

var frame = 0;
var imgList = new Array(
  "freya/run0.gif",
  "freya/run1.gif",
  "freya/run2.gif",
  "freya/run3.gif",
  "freya/run4.gif",
  "freya/run5.gif",
  "freya/run6.gif",
  "freya/run7.gif"
);
      
var sprite;
var spriteImage;
var MAX_X = 500;
      
function init(){
  sprite = document.getElementById("sprite");
  spriteImage = document.getElementById("image");
  
  setInterval("animate()", 100);
} // end init
      
function animate(){
  updateImage();
  updatePosition();
} // end animate
      
function updateImage(){
  frame++;
  if (frame > imgList.length){
    frame = 0;
  } // end if
  spriteImage.src = imgList[frame];
} // end updateImage
      
function updatePosition(){
  sprite = document.getElementById("sprite");
  var x = parseInt(sprite.style.left);
  x += 10;
  if (x > MAX_X){
    x = 0;
  } // end if
  sprite.style.left = x + "px";
} // end function
      